services:
  shiny:
    build: .
    container_name: standrews_shiny
    restart: always
    ports:
      - "127.0.0.1:${PORT}:3838"
    environment:
      - SHINY_LOG_STDERR=1
    volumes:
      - ./data:/srv/shiny-server/data
      - ./www:/srv/shiny-server/www
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:3838/"]
      interval: 1m
      timeout: 10s
      retries: 3
